<template>
    <div class="menu-wrap">
        <nav class="site-menu" :class="{'open-menu': open}">
            <div class="menu-item">
                <a href="#" v-scroll-to="{el: '#solutions', offset: -200, onDone: scrollDone}" class="scrollactive-item">{{$t("menu.solutions")}}</a>
            </div>
            <div class="menu-item">
                <a href="#" v-scroll-to="{el: '#prices', offset: -200, onDone: scrollDone}"
                   class="scrollactive-item">{{$t("menu.prices")}}</a>
            </div>
            <div class="menu-item">
                <a href="#" v-scroll-to="{el: '#guaranties', offset: -200, onDone: scrollDone}" class="scrollactive-item">{{$t("menu.guaranties")}}</a>
            </div>
            <div class="menu-item">
                <a href="#" v-scroll-to="{el: '#testimonials', offset: -200, onDone: scrollDone}" class="scrollactive-item">{{$t("menu.testimonials")}}</a>
            </div>
            <div class="menu-item contact">
                <a href="#" v-scroll-to="{el: '#contact-us', offset: -200, onDone: scrollDone}" v-ripple="'rgba(84, 149, 255, 0.35)'"
                   class="scrollactive-item contact-us">{{$t("menu.contact-us")}}</a>
            </div>
        </nav>
        <div class="burger" :class="{'open': open}" @click="toggleMenu"></div>
    </div>
</template>

<script>
    export default {
        name: "AppMenu",
        data: () => ({
            open: false
        }),
        methods: {
            toggleMenu() {
                this.open = !this.open;
                this.toggleOverflow();
            },
            toggleOverflow() {
                if (this.open) {
                    document.body.style.overflow = 'hidden';
                } else {
                    document.body.style.overflow = 'visible';
                }
            },
            scrollDone() {
                const timeout = setTimeout(() => {
                    this.open = false;
                    this.toggleOverflow();
                    clearTimeout(timeout);
                }, 100)
            }
        }
    }
</script>

<style scoped lang="scss">
    .menu-wrap {
        position: relative;
        width: calc(100% - 336px);
        display: flex;
        justify-content: flex-end;

        .site-menu {
            display: flex;
            justify-content: flex-end;
            color: #0f0f0f;
            font-family: $mainFont, sans-serif;
            font-size: 20px;
            font-weight: 700;
            letter-spacing: .8px;
            width: 100%;

            a {
                color: #0f0f0f;
                transition: color, .1s;

                &.is-active {
                    color: #0263ff;
                    text-decoration: underline;
                }

                &:hover {
                    color: #0263FF;
                    text-decoration: underline;
                }
            }

            .menu-item {
                & + .menu-item {
                    margin-left: 35px;
                }

                &.contact {
                    margin-left: 14.9%;
                }
            }

            .scrollactive-item {
                display: flex;
                align-items: center;
                text-decoration: none;
                height: 43px;
            }

            .contact-us {
                border-radius: 21px;
                background-color: #0263ff;
                padding: 0 29px;
                color: #ffffff;

                &:hover {
                    color: #ffffff;
                    text-decoration: none;
                }
            }
        }

        .burger {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            display: none;
            background: url("../assets/img/icons/burger.svg") center no-repeat;
            margin-right: 19px;
            cursor: pointer;
            z-index: 11;

            &.open {
                background: url("../assets/img/icons/close-menu.svg") center no-repeat;
            }
        }
    }

    @media (max-width: 1200px) and (max-width: 1440px) {
        .menu-wrap {
            width: calc(100% - 250px);
            display: flex;
            justify-content: flex-end;

            .site-menu {
                font-size: 18px;

                .menu-item {
                    & + .menu-item {
                        margin-left: 30px;
                    }

                    a {
                        padding: 0;
                    }

                    &.contact {
                        margin-left: 10.9%;
                    }
                }

                .scrollactive-item {
                    height: 30px;
                    padding: 0 18px;

                    &.contact-us {
                        padding: 0 19px;
                    }
                }
            }

            .burger {
                display: none;
            }
        }
    }

    @media (min-width: 768px) and  (max-width: 1199.99px) {
        .menu-wrap {
            width: calc(100% - 190px);
            display: flex;
            justify-content: flex-end;

            .site-menu {
                font-size: 14px;

                .menu-item {
                    & + .menu-item {
                        margin-left: 26px;
                    }

                    &.contact {
                        margin-left: 8.9%;
                    }
                }

                .scrollactive-item {
                    height: 26px;
                    padding: 0 18px;
                }
            }

            .burger {
                display: none;
            }
        }
    }

    @media (max-width: 767.99px) {
        .menu-wrap {
            width: calc(100% - 224px);
            display: flex;
            justify-content: flex-end;

            .site-menu {
                font-size: 14px;

                &.open-menu{
                    position: fixed;
                    top: 0;
                    left: 0;
                    width: 100vw;
                    height: 100vh;
                    z-index: 10;
                    background-color: white;
                    padding-top: 78px;
                    display: block;

                    .menu-item {
                        width: 100%;
                        display: block;
                        font-size: 18px;
                        text-align: center;

                        a {
                            display: inline-block;
                            height: 36px;
                            line-height: 36px;
                        }

                        & + .menu-item {
                            margin: 41px 0 0 0;
                        }

                        &.contact {
                            a {
                                padding: 0 23px;
                            }
                        }
                    }
                }

                .menu-item {
                    display: none;
                }
            }

            .burger {
                display: block;
            }
        }
    }
</style>
